---
layout: default
---
# We are the digital locksmith...

get a lock from us and you will never loose access to your digital assets
and if you passed you descends will be granted access upon verification

oh let's mention we don't store any copy of your keys,
however we do know how to pick a lock,
but there is a golden rule we obsserve to safe protect you and our business

we need the consensus of 5 non related locksmith from our guild in order
to proceed for opening a lock, all our action are log on a public blockchain.


we also provide "dead switch" for automating transfer if you come to disapear.


1;
